<template>
  <div id="app">
    <keep-alive>
      <router-view></router-view>
    </keep-alive>
  </div>
</template>
<script>
export default {
  name: "App",
  data() {
    return {
      title: "畅视流量会员包",
    };
  },
  computed: {
    pageData() {
      return this.$store.state.pageData;
    },
  },
  watch: {
    pageData: {
      immediate: true,
      deep: true,
      handler(val) {
        if (val.mainProduct) {
          this.title = val.mainProduct.productName
        }
      },
    },
  },
};
</script>
<style lang="scss">
@import "./styles/normalize.scss";
@import "./styles/common.scss";
</style>
